> ## Documentation Index
> Fetch the complete documentation index at: https://docs.consignease.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Updates a pet in the store with form data



## OpenAPI

````yaml https://app.stainless.com/api/spec/documented/dasdk/openapi.documented.yml post /pet/{petId}
openapi: 3.0.3
info:
  title: OpenAPI 3.0 Pet Store
  description: This is a sample Pet Store Server based on the OpenAPI 3.0 specification.
  license:
    name: Apache 2.0
    url: http://www.apache.org/licenses/LICENSE-2.0.html
  version: 1.0.11
servers:
  - url: https://petstore3.swagger.io/api/v3
security:
  - api_key: []
tags:
  - name: pet
    description: Everything about your Pets
  - name: store
    description: Access to Petstore orders
  - name: user
    description: Operations about user
paths:
  /pet/{petId}:
    post:
      tags:
        - pet
      summary: Updates a pet in the store with form data
      operationId: updatePetWithForm
      parameters:
        - name: petId
          in: path
          description: ID of pet that needs to be updated
          required: true
          schema:
            type: integer
            format: int64
        - name: name
          in: query
          description: Name of pet that needs to be updated
          schema:
            type: string
        - name: status
          in: query
          description: Status of pet that needs to be updated
          schema:
            type: string
      responses:
        '400':
          description: Invalid input
      x-codeSamples:
        - lang: JavaScript
          source: |-
            import Dasdk from 'dasdk';

            const client = new Dasdk({
              apiKey: 'My API Key',
            });

            await client.pet.updateByID(0);
components:
  securitySchemes:
    api_key:
      type: apiKey
      name: api_key
      in: header

````